发言("@回收")
等待(1500)
astring={}
ddstring={}
ppstring={}
mosuzi={}
suzi={}
aa=NPC对话内容
s1=string.gsub(aa,"　","AA")
s1=string.gsub(s1,"<□/SCOLOR=249>","BB")
--输出信息(s1)

for i=1,5 do
astring[i]=匹配内容(s1,[[(\w{30})]])
if astring[i]~=nil then
s1=string.gsub(s1,astring[i],"",1)
--输出信息(astring[i])
end
end

happy=table.concat{astring[1],astring[2],astring[3],astring[4],astring[5]}

k=1
for i=1,5 do
suzi[i]=string.sub(happy,k,k+5)
k=k+30
--输出信息(suzi[i])
end


ddstring[1]=table.concat{suzi[1],suzi[2],suzi[3],suzi[4],suzi[5]}
--输出信息(ddstring[1])

k=9
for i=1,5 do
suzi[i]=string.sub(happy,k,k+5)
k=k+30
--输出信息(suzi[i])
end


ddstring[2]=table.concat{suzi[1],suzi[2],suzi[3],suzi[4],suzi[5]}
--输出信息(ddstring[2])

k=17
for i=1,5 do
suzi[i]=string.sub(happy,k,k+5)
k=k+30
--输出信息(suzi[i])
end


ddstring[3]=table.concat{suzi[1],suzi[2],suzi[3],suzi[4],suzi[5]}
--输出信息(ddstring[3])


k=25
for i=1,5 do
suzi[i]=string.sub(happy,k,k+5)
k=k+30
--输出信息(suzi[i])
end


ddstring[4]=table.concat{suzi[1],suzi[2],suzi[3],suzi[4],suzi[5]}
--输出信息(ddstring[4])


mosuzi[0]="BBBBBBBBAABBBBAABBBBAABBBBBBBB"
mosuzi[1]="AAAABBAAAABBAAAABBAAAABBAAAABB"
mosuzi[2]="BBBBBBAAAABBBBBBBBBBAAAABBBBBB"
mosuzi[3]="BBBBBBAAAABBBBBBBBAAAABBBBBBBB"
mosuzi[4]="BBAABBBBAABBBBBBBBAAAABBAAAABB"
mosuzi[5]="BBBBBBBBAAAABBBBBBAAAABBBBBBBB"
mosuzi[6]="BBBBBBBBAAAABBBBBBBBAABBBBBBBB"
mosuzi[7]="BBBBBBAAAABBAAAABBAAAABBAAAABB"
mosuzi[8]="BBBBBBBBAABBBBBBBBBBAABBBBBBBB"

for i1=1,4 do
  for i2=0,9 do
  if ddstring[i1]==mosuzi[i2] then
   --输出信息("位数")
   --输出信息(i1)
   --输出信息("数字")
   --输出信息(i2)
   ppstring[i1]=i2
 end
end
end

passcode=table.concat{ppstring[1],ppstring[2],ppstring[3],ppstring[4]}
--输出信息(passcode)


  findapi=匹配内容(NPC对话内容,[[(@@InPutString\d{1,3})]])
if findapi~=nil then
api=findapi
else
api=匹配内容(NPC对话内容,[[(@@InPutInteger\d{1,3})]])
end

合成命令(api,passcode)